# pip install pillow
import waptguihelper
from sys import argv
from os.path import splitext, exists
from os import remove

"""1st argument is the path to the image"""
"""Second argument is the new size (x)"""
"""Third argument is the new size (y)"""


def main():
    if len(argv) != 4:
        print("Wrong numbers of arguments", fd=stderr)
        exit(-1)

    """Initializing Values"""
    ImgName = argv[1]
    try:
        x = int(argv[2])
        y = int(argv[3])
    except ValueError:
        print("The size arguments aren't integers", fd=stderr)
        exit(-2)


    name, ext = splitext(ImgName)
    NewName = name + "converted.png"

    """Save the image, overwriting the existing one"""

    waptguihelper.png_resize(argv[1],x,y,NewName)


    return 0


if __name__ == "__main__":
    main()
